<VirtualHost *:80>
    # Server Information
	ServerAdmin taygoddard@gmail.com
	DocumentRoot /web/HOS/

    # Logging Configuration
    ErrorLog /web/HOS/logs/error.log
	CustomLog /web/HOS/logs/access.log common

    # Domain Name Configuration
	ServerName  hos.gsscdev.com

    DeflateCompressionLevel 3
    AddOutputFilterByType DEFLATE application/json text/plain text/html

    # Mod-WSGI Configuration
#	WSGIDaemonProcess HOS user=www-data group=www-data threads=10 python-path=/web/HOS/venv/lib/python3.8/site-packages
#    WSGIProcessGroup HOS
	#WSGIScriptAlias / /web/HOS/HOS/wsgi.py
    
    # Static Directory Configuration
    Alias /static/ "/web/HOS/static/"
    <Location "/static/">
	SetHandler None
    </Location>

	#RewriteCond %{HTTPS} !=on
	#RewriteRule ^/?(.*) https://hos.gsscdev.com [L]

    # Media Directory Configuration
   # Alias /media/ "/web/HOS/media/"
   # <Location "/media/">
   # SetHandler None
   # </Location>
</VirtualHost>
<VirtualHost *:443>
	ServerAdmin taygoddard@gmail.com
	DocumentRoot /web/HOS/

    ErrorLog /web/HOS/logs/error.log
	CustomLog /web/HOS/logs/access.log common

	ServerName  hos.gsscdev.com

    DeflateCompressionLevel 3
    AddOutputFilterByType DEFLATE application/json text/plain text/html

    # Mod-WSGI Configuration
	WSGIDaemonProcess HOS user=www-data group=www-data threads=10 python-path=/web/HOS/venv/lib/python3.8/site-packages
    WSGIProcessGroup HOS
	WSGIScriptAlias / /web/HOS/HOS/wsgi.py
    
    # Static Directory Configuration
    Alias /static/ "/web/HOS/static/"
    <Location "/static/">
	SetHandler None
    </Location>

	Include /etc/letsencrypt/options-ssl-apache.conf
	SSLCertificateFile /etc/letsencrypt/live/hos.gsscdev.com/fullchain.pem
	SSLCertificateKeyFile /etc/letsencrypt/live/hos.gsscdev.com/privkey.pem

</VirtualHost>
